> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all users

> Retrieve a paginated list of all users in the system.



## OpenAPI

````yaml get /v1/users
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/users:
    get:
      tags:
        - users
      summary: List all users
      description: Retrieve a paginated list of all users in the system.
      operationId: getUsers
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            description: Cursor for pagination (base64-encoded user ID)
            title: Cursor
          description: Cursor for pagination (base64-encoded user ID)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The max number of users to return at a time.
            default: 100
            title: Limit
          description: The max number of users to return at a time.
      responses:
        '200':
          description: A list of users.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUsersResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    GetUsersResponseBody:
      properties:
        data:
          items:
            oneOf:
              - $ref: '#/components/schemas/LocalUser'
              - $ref: '#/components/schemas/OAuth2User'
              - $ref: '#/components/schemas/LDAPUser'
            discriminator:
              propertyName: auth_method
              mapping:
                LDAP:
                  $ref: '#/components/schemas/LDAPUser'
                LOCAL:
                  $ref: '#/components/schemas/LocalUser'
                OAUTH2:
                  $ref: '#/components/schemas/OAuth2User'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetUsersResponseBody
    LocalUser:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        email:
          type: string
          title: Email
        username:
          type: string
          title: Username
        role:
          type: string
          enum:
            - SYSTEM
            - ADMIN
            - MEMBER
            - VIEWER
          title: Role
        auth_method:
          type: string
          const: LOCAL
          title: Auth Method
        password:
          type: string
          title: Password
        password_needs_reset:
          type: boolean
          title: Password Needs Reset
      type: object
      required:
        - id
        - created_at
        - updated_at
        - email
        - username
        - role
        - auth_method
        - password_needs_reset
      title: LocalUser
    OAuth2User:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        email:
          type: string
          title: Email
        username:
          type: string
          title: Username
        role:
          type: string
          enum:
            - SYSTEM
            - ADMIN
            - MEMBER
            - VIEWER
          title: Role
        auth_method:
          type: string
          const: OAUTH2
          title: Auth Method
        oauth2_client_id:
          type: string
          title: Oauth2 Client Id
        oauth2_user_id:
          type: string
          title: Oauth2 User Id
        profile_picture_url:
          type: string
          title: Profile Picture Url
      type: object
      required:
        - id
        - created_at
        - updated_at
        - email
        - username
        - role
        - auth_method
      title: OAuth2User
    LDAPUser:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        email:
          type: string
          title: Email
        username:
          type: string
          title: Username
        role:
          type: string
          enum:
            - SYSTEM
            - ADMIN
            - MEMBER
            - VIEWER
          title: Role
        auth_method:
          type: string
          const: LDAP
          title: Auth Method
      type: object
      required:
        - id
        - created_at
        - updated_at
        - email
        - username
        - role
        - auth_method
      title: LDAPUser

````